<template>
  <incumplimientos-negocio
    :loadingTitle="loadingTitle"
    :loadingContent="loadingContent"
    :titleNotFound="titleNotFound"
    :contentNotFound="contentNotFound"
    :data="data"
    @negocio="onNegocio"
  />
</template>
<script>
import IncumplimientosNegocio from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/IncumplimientosNegocio.vue";
import store from "@/store";
const serviceCommons = store.state.serviceCommons;
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-No5IncumplimientosNegocioImpl",
  props: ["filters"],
  components: {
    IncumplimientosNegocio,
  },
  data() {
    return {
      loadingTitle: true,
      loadingContent: true,
      titleNotFound: false,
      contentNotFound: false,
      data: {
        descripcion: null,
        negocios: [],
        values: [],
      },
    };
  },
  watch: {
    filters(val) {
      this.getData();
    },
  },
  methods: {
    getGrafica() {
      axios(
        "/sistema-informacion/tablero/graficas/v1/clave/red-unica-top-incumplimiento"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data = Object.assign(this.data, data.resultado);
          }
        })
        .catch((error) => {
          this.titleNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingTitle = false;
        });
    },
    getNegocio() {
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/red-unica/filtros/negocios/incumplimientos/busquedas",
          this.filters.request
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data.negocios = data.resultado.negociosIncumplimiento;
            this.data.negocios = this.data.negocios.map((negocio) => {
              negocio.imagen = serviceCommons.getLogoImageByIdNegocio(
                negocio.idNegocio
              );
              return negocio;
            });
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {});
    },
    getData() {
      this.loadingContent = true;
      this.contentNotFound = false;
      this.getNegocio();
      this.loadingContent = false;
      /*
      this.loadingContent = true;
      this.contentNotFound = false;
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/red-unica/negocios/incumplimientos/busquedas",
          this.filters.request
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            let incumplimientosNegocioRedUnica =
              data.resultado.incumplimientosNegocioRedUnica;
            this.data.values = [];
            incumplimientosNegocioRedUnica.forEach((element) => {
              this.data.values.push({
                idNegocio: element.idNegocio,
                puntosVenta: element.puntosVenta,
                porcentaje: element.porcentaje + "%",
                descripcion: element.descripcion,
              });
            });
          }
        })
        .catch((error) => {
          this.contentNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingContent = false;
        });
        */
    },
    onNegocio(val){
      
      var negocioPregunta=""+val.idNegocio;
      let finalFilters={
        ...this.filters.request,
        negocioPregunta,
      };
      this.loadingContent = true;
      this.contentNotFound = false;
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/red-unica/negocios/incumplimientos/busquedas",
          finalFilters
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            let incumplimientosNegocioRedUnica =
              data.resultado.incumplimientosNegocioRedUnica;
            this.data.values = [];
            incumplimientosNegocioRedUnica.forEach((element) => {
              this.data.values.push({
                idNegocio: element.idNegocio,
                puntosVenta: element.puntosVenta,
                porcentaje: element.porcentaje + "%",
                descripcion: element.descripcion,
              });
            });
          }
        })
        .catch((error) => {
          //this.contentNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingContent = false;
        });
    },
  },
  created() {
    this.getGrafica();
  },
};
</script>
